# -*- coding: utf-8 -*-
from recommend import *
tempresult=defaultdict(list)
a=[{"a":1,"b":11},{"a":2,"b":22},{"a":3,"b":33}]
df=pd.DataFrame(a)
temp=df.fillna('invalid').astype(str).to_dict(orient='list')
#print(temp['a'].remove('invalid'))
print(temp)
for i in temp['a']:
    print(i,type(i))

#print(temp)